## update-apt 1.0-2

=== Makefile ===

PREFIX=/

install:
	cp ./bin/update-apt $(PREFIX)usr/bin
	cp ./man/update-apt.1 $(PREFIX)usr/share/man/man1/ 
	cp ./cron/update-apt $(PREFIX)etc/cron.daily

uninstall:
	rm -f /usr/bin/update-apt
	rm -f /usr/share/man/man1/update-apt.1
	rm -f /etc/cron.daily/update-apt

clean:
	-echo "NOP"

=== debian/changelog ===
update-apt (1.0-2) unstable; urgency=low

  * We don't want to see the output of the update process sent via cron.

 -- Steve Kemp <steve@steve.org.uk>  Tuesday, 21 Sep 2004 13:47:53 +0000

update-apt (1.0-1) unstable; urgency=low

  * Initial Release
 
 -- Steve Kemp <steve@steve.org.uk>  Saturday, 17 May 2003 23:58:21 +0000

=== debian/control ===
Source: update-apt
Section: admin
Priority: optional
Maintainer: Steve Kemp <steve@steve.org.uk>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.8

Package: update-apt
Architecture: all
Depends: ${shlibs:Depends}, debconf
Description: A nightly Debian update tool. 
 This package contains a simple script and crontabe entrie to 
 nightly update the local package cache
 .
 This allows your machine to do the downloading of the pending
 updates during the night when your machine is unloaded, leaving
 you to run the upgrade at a convienent time.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: 
	dh_testdir
	# Add here commands to configure the package.



build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#	Add here commands to install the package into debian/gnump3d.
	$(MAKE) install PREFIX=$(CURDIR)/debian/update-apt/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu 
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
